import { JavaObject } from '../../../java/lang/JavaObject';
import { GostFach } from '../../../core/data/gost/GostFach';
import { Vector } from '../../../java/util/Vector';
import { GostLeistungenFachbelegung } from '../../../core/data/gost/GostLeistungenFachbelegung';
export declare class GostLeistungenFachwahl extends JavaObject {
    fach: GostFach | null;
    abiturfach: Number | null;
    istFSNeu: boolean;
    readonly belegungen: Vector<GostLeistungenFachbelegung>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostLeistungenFachwahl;
    static transpilerToJSON(obj: GostLeistungenFachwahl): string;
    static transpilerToJSONPatch(obj: Partial<GostLeistungenFachwahl>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostLeistungenFachwahl(obj: unknown): GostLeistungenFachwahl;
